### Hierarchy

- XmlComponent
  - Border

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addBottomBorder
- addChildElement
- addLeftBorder
- addRightBorder
- addTopBorder
- delete
- prepForXml

## Constructors

### constructor

- new Border(): Border

- Overrides XmlComponent.constructor

  - Defined in file/paragraph/formatting/border.ts:18

  #### Returns Border

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addBottomBorder

- addBottomBorder(color?: string, space?: string, value?: string, size?: string): XmlComponent

- - Defined in file/paragraph/formatting/border.ts:31

  #### Parameters

  - ##### Default value color: string = "auto"

  - ##### Default value space: string = "1"

  - ##### Default value value: string = "single"

  - ##### Default value size: string = "6"

  #### Returns XmlComponent

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addLeftBorder

- addLeftBorder(color?: string, space?: string, value?: string, size?: string): XmlComponent

- - Defined in file/paragraph/formatting/border.ts:39

  #### Parameters

  - ##### Default value color: string = "auto"

  - ##### Default value space: string = "1"

  - ##### Default value value: string = "single"

  - ##### Default value size: string = "6"

  #### Returns XmlComponent

### addRightBorder

- addRightBorder(color?: string, space?: string, value?: string, size?: string): XmlComponent

- - Defined in file/paragraph/formatting/border.ts:47

  #### Parameters

  - ##### Default value color: string = "auto"

  - ##### Default value space: string = "1"

  - ##### Default value value: string = "single"

  - ##### Default value size: string = "6"

  #### Returns XmlComponent

### addTopBorder

- addTopBorder(color?: string, space?: string, value?: string, size?: string): XmlComponent

- - Defined in file/paragraph/formatting/border.ts:23

  #### Parameters

  - ##### Default value color: string = "auto"

  - ##### Default value space: string = "1"

  - ##### Default value value: string = "single"

  - ##### Default value size: string = "6"

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

Generated using TypeDoc